# v1.0.1:
  # + Group/ComponentInstance mặc định lấy leaf
  # + Select Instance

# v1.0.2:
  # + Select Instance => Object
  # + Select Geometry
  # + Set position of context menu

module CURIC
  class << self
    attr_accessor :tools_command
  end
  @tools_command ||= UI.menu('Tools').add_submenu('Curic')
  ICON ||= File.join(File.dirname(__FILE__), 'Resources/curic_icon.png')
  
  module Selection
    Sketchup.require('curic_deep_select/main')

    DRAWING_ELEMENTS = [
      Sketchup::Edge,
      Sketchup::Face,
      Sketchup::Group,
      Sketchup::ComponentInstance,
      Sketchup::ConstructionLine,
      Sketchup::ConstructionPoint,
      Sketchup::Dimension,
      Sketchup::Image,
      Sketchup::SectionPlane,
      Sketchup::Text
    ].freeze

    GEOMETRY = [
      Sketchup::Edge,
      Sketchup::Face,
      Sketchup::ConstructionLine,
      Sketchup::ConstructionPoint,
      Sketchup::Dimension,
      Sketchup::Image,
      Sketchup::SectionPlane,
      Sketchup::Text
    ].freeze

    file = __FILE__
    unless file_loaded?(file)
      UI.add_context_menu_handler do |context_menu|
        DeepSelect.build_context_menu(context_menu)
      end

      file_loaded(file)
    end
  end
end
